package cz.moneta.test.dsl.dmbsib;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.dmbsib.DmbsIbEndpoint;
import cz.moneta.test.harness.support.web.Builders;

public class  DmbsIb {

    private final Harness harness;

    public DmbsIb(Harness harness) {
        this.harness = harness;
    }

    public DmbsIbWebTransitions onDmbsIbTransitions() {
        harness.getEndpoint(DmbsIbEndpoint.class).openApplication();
        return Builders.newWebFlowBuilder(DmbsIbWebTransitions.class, harness.getEndpoint(DmbsIbEndpoint.class), harness);
    }
}
